Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » installing 2019.06 versions of Eclipse CDT on CentOS6(installation)
installing 2019.06 versions of Eclipse CDT on CentOS6 [message #1808565] Wed, 26 June 2019 21:27 Go to next message
Laurent Masse-Navette is currently offline Laurent Masse-NavetteFriend
Messages: 5
Registered: June 2019
Junior Member
Hi All,

I have been trying to install the latest available version of eclipse CDT (2019-06) to use on a farm of CPU servers which are all running CentOS6. Not being a system administrator, I cannot install anything in any of the system directories on any of these machines.
I know that latest versions of eclipse are based on Gtk+3, whereas CentOS6 is based on Gtk+2. However, somebody with system administrator privileges installed in some non-standard path the Gtk+3 libraries, say in path /x/y/gtk3. After setting my LD_LIBRARY_PATH to point to /x/y/gtk3/lib64, I am now able to get past the splash screen, but I am still running into a dialog window that says:
"An error has occurred. See the log file /home/..../eclipse/configuration/<somenumber>.log"
Also, the following message is printed in the shell from which I launched Eclipse:
[shell prompt]$ ./eclipse
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

The reported log file shows the following messages:
Quote:
!SESSION 2019-06-26 13:45:47.603 -----------------------------------------------
eclipse.buildId=4.12.0.I20190605-1800
java.version=11.0.3
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Framework arguments: -product org.eclipse.epp.package.cpp.product
Command-line arguments: -os linux -ws gtk -arch x86_64 -product org.eclipse.epp.package.cpp.product

!ENTRY org.eclipse.osgi 4 0 2019-06-26 13:45:49.432
!MESSAGE Application error
!STACK 1
java.lang.UnsatisfiedLinkError: org.eclipse.swt.internal.gtk.OS._cachejvmptr()V
at org.eclipse.swt.internal.gtk.OS._cachejvmptr(Native Method)
at org.eclipse.swt.internal.gtk.OS.cachejvmptr(OS.java:492)
at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:91)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:209)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:155)
at org.eclipse.swt.widgets.Display.<clinit>(Display.java:161)
at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:739)
at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:162)
at org.eclipse.ui.internal.ide.application.IDEApplication.createDisplay(IDEApplication.java:185)
at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:128)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:203)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:566)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:660)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:597)
at org.eclipse.equinox.launcher.Main.run(Main.java:1468)
at org.eclipse.equinox.launcher.Main.main(Main.java:1441)


Fishing with google made me suspect that I might be missing some libswt-gtk3* libraries, but I don't know how to obtain/build them on CentOS6, so that does not really help.

Basically, what I am trying to do is to run Eclipse CDT with gtk+3 libraries in non-standard system paths.
Any help appreciated.

Thanks,

L.
Re: installing 2019.06 versions of Eclipse CDT on CentOS6 [message #1808792 is a reply to message #1808565] Mon, 01 July 2019 17:17 Go to previous messageGo to next message
Laurent Masse-Navette is currently offline Laurent Masse-NavetteFriend
Messages: 5
Registered: June 2019
Junior Member
Since my question has not received any comment, I guess I need to rephrase it in a more concise manner.

Centos 6 only has Gtk+ 2 libraries. By moving to Gtk+ 3, Eclipse developers have made it impossible to run the newer versions of Eclipse on Centos6 systems, at least using the standard system libraries.
I do not have administrator-level privileges, so I cannot upgrade the system to a later version of Gtk+.
Is there a way I can still run a Gtk+ 3-based Eclipse (e.g. 2019.06) on a Centos 6 system?
If so, what libraries do I need to install and/or what env variables do I need to tweak? Since I will have to install said libraries in non-standard paths in my home directory (having no sudo access or root privileges), what is the way to make Eclipse understand where these libraries have been installed?

Thanks for the help,

L.

[Updated on: Mon, 01 July 2019 17:17]

Report message to a moderator

Re: installing 2019.06 versions of Eclipse CDT on CentOS6 [message #1808794 is a reply to message #1808792] Mon, 01 July 2019 18:28 Go to previous messageGo to next message
Laurent Masse-Navette is currently offline Laurent Masse-NavetteFriend
Messages: 5
Registered: June 2019
Junior Member
Installed version of java:
<prompt> java -version
java version "11.0.3" 2019-04-16 LTS
Java(TM) SE Runtime Environment 18.9 (build 11.0.3+12-LTS)
Java HotSpot(TM) 64-Bit Server VM 18.9 (build 11.0.3+12-LTS, mixed mode)

It was not working any better with:
<prompt> java -version
java version "1.8.0_20"
Java(TM) SE Runtime Environment (build 1.8.0_20-b26)
Java HotSpot(TM) 64-Bit Server VM (build 25.20-b23, mixed mode)

Re: installing 2019.06 versions of Eclipse CDT on CentOS6 [message #1808797 is a reply to message #1808794] Mon, 01 July 2019 18:54 Go to previous messageGo to next message
Laurent Masse-Navette is currently offline Laurent Masse-NavetteFriend
Messages: 5
Registered: June 2019
Junior Member
Using the installer, I am getting the following (and similar) error trace:
!SESSION 2019-07-01 11:51:05.070 -----------------------------------------------
eclipse.buildId=unknown
java.version=11.0.3
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Command-line arguments: -os linux -ws gtk -arch x86_64 -data @noDefault

!ENTRY org.eclipse.osgi 4 0 2019-07-01 11:51:08.251
!MESSAGE An error occurred while automatically activating bundle org.eclipse.oomph.setup.installer (133).
!STACK 0
org.osgi.framework.BundleException: Exception in org.eclipse.oomph.setup.internal.installer.SetupInstallerPlugin$Implementation.start() of bundle org.eclipse.oomph.setup.installer.
at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:863)
at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:791)
at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:1013)
at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.startWorker(EquinoxBundle.java:365)
at org.eclipse.osgi.container.Module.doStart(Module.java:598)
at org.eclipse.osgi.container.Module.start(Module.java:462)
at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:493)
at org.eclipse.osgi.internal.hooks.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:117)
at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:570)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:330)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:396)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:474)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:423)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:415)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:155)
at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
at org.eclipse.osgi.internal.framework.EquinoxBundle.loadClass(EquinoxBundle.java:620)
at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:196)
at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:934)
at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:246)
at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:63)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:198)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:566)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:660)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:597)
at org.eclipse.equinox.launcher.Main.run(Main.java:1468)
at org.eclipse.equinox.launcher.Main.main(Main.java:1441)
Caused by: java.lang.UnsatisfiedLinkError: org.eclipse.swt.internal.gtk.OS._cachejvmptr()V
at org.eclipse.swt.internal.gtk.OS._cachejvmptr(Native Method)
at org.eclipse.swt.internal.gtk.OS.cachejvmptr(OS.java:492)
at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:91)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:209)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:155)
at org.eclipse.swt.widgets.Display.<clinit>(Display.java:161)
at org.eclipse.oomph.ui.UIUtil.getDisplay(UIUtil.java:119)
at org.eclipse.oomph.ui.UIUtil.syncExec(UIUtil.java:594)
at org.eclipse.oomph.setup.internal.installer.SetupInstallerPlugin$Implementation.start(SetupInstallerPlugin.java:137)
at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:842)
at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:1)
at java.base/java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:834)
... 33 more
Root exception:
java.lang.UnsatisfiedLinkError: org.eclipse.swt.internal.gtk.OS._cachejvmptr()V
at org.eclipse.swt.internal.gtk.OS._cachejvmptr(Native Method)
at org.eclipse.swt.internal.gtk.OS.cachejvmptr(OS.java:492)
at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:91)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:209)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:155)
at org.eclipse.swt.widgets.Display.<clinit>(Display.java:161)
at org.eclipse.oomph.ui.UIUtil.getDisplay(UIUtil.java:119)
at org.eclipse.oomph.ui.UIUtil.syncExec(UIUtil.java:594)
at org.eclipse.oomph.setup.internal.installer.SetupInstallerPlugin$Implementation.start(SetupInstallerPlugin.java:137)
at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:842)
at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:1)
at java.base/java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:834)
at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:791)
at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:1013)
at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.startWorker(EquinoxBundle.java:365)
at org.eclipse.osgi.container.Module.doStart(Module.java:598)
at org.eclipse.osgi.container.Module.start(Module.java:462)
at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:493)
at org.eclipse.osgi.internal.hooks.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:117)
at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:570)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:330)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:396)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:474)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:423)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:415)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:155)
at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
at org.eclipse.osgi.internal.framework.EquinoxBundle.loadClass(EquinoxBundle.java:620)
at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:196)
at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:934)
at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:246)
at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:63)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:198)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:566)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:660)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:597)
at org.eclipse.equinox.launcher.Main.run(Main.java:1468)
at org.eclipse.equinox.launcher.Main.main(Main.java:1441)

!ENTRY org.eclipse.osgi 4 0 2019-07-01 11:51:08.263
!MESSAGE Application error
!STACK 1
org.eclipse.core.runtime.CoreException: Plug-in org.eclipse.oomph.setup.installer was unable to load class org.eclipse.oomph.setup.internal.installer.InstallerApplication.
at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.throwException(RegistryStrategyOSGI.java:212)
at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:198)
at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:934)
at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:246)
at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:63)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:198)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:566)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:660)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:597)
at org.eclipse.equinox.launcher.Main.run(Main.java:1468)
at org.eclipse.equinox.launcher.Main.main(Main.java:1441)
Caused by: java.lang.ClassNotFoundException: An error occurred while automatically activating bundle org.eclipse.oomph.setup.installer (133).
at org.eclipse.osgi.internal.hooks.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:126)
at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:570)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:330)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:396)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:474)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:423)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:415)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:155)
at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
at org.eclipse.osgi.internal.framework.EquinoxBundle.loadClass(EquinoxBundle.java:620)
at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:196)
... 16 more
Caused by: org.osgi.framework.BundleException: Exception in org.eclipse.oomph.setup.internal.installer.SetupInstallerPlugin$Implementation.start() of bundle org.eclipse.oomph.setup.installer.
at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:863)
at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:791)
at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:1013)
at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.startWorker(EquinoxBundle.java:365)
at org.eclipse.osgi.container.Module.doStart(Module.java:598)
at org.eclipse.osgi.container.Module.start(Module.java:462)
at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:493)
at org.eclipse.osgi.internal.hooks.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:117)
... 26 more
Caused by: java.lang.UnsatisfiedLinkError: org.eclipse.swt.internal.gtk.OS._cachejvmptr()V
at org.eclipse.swt.internal.gtk.OS._cachejvmptr(Native Method)
at org.eclipse.swt.internal.gtk.OS.cachejvmptr(OS.java:492)
at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:91)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:209)
at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:155)
at org.eclipse.swt.widgets.Display.<clinit>(Display.java:161)
at org.eclipse.oomph.ui.UIUtil.getDisplay(UIUtil.java:119)
at org.eclipse.oomph.ui.UIUtil.syncExec(UIUtil.java:594)
at org.eclipse.oomph.setup.internal.installer.SetupInstallerPlugin$Implementation.start(SetupInstallerPlugin.java:137)
at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:842)
at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:1)
at java.base/java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:834)
... 33 more
Re: installing 2019.06 versions of Eclipse CDT on CentOS6 [message #1808799 is a reply to message #1808797] Mon, 01 July 2019 19:09 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30551
Registered: July 2009
Senior Member
Sorry, you'll really need a system with proper GTK3 libraries available because Eclipse (and the installer) will not work with just GTK2. :-(
Re: installing 2019.06 versions of Eclipse CDT on CentOS6 [message #1808800 is a reply to message #1808799] Mon, 01 July 2019 19:41 Go to previous messageGo to next message
Laurent Masse-Navette is currently offline Laurent Masse-NavetteFriend
Messages: 5
Registered: June 2019
Junior Member
Hi Ed,

Thanks for taking the time to provide an answer. As explained in the first post, I have the Gtk3 libraries installed in a non-standard path: /s***/new-tools/gtk+-3. I have put /s***/new-tools/gtk+-3/bin and /s***/new-tools/gtk+-3/sbin in my PATH and put /s***/new-tools/gtk+-3/lib64 in my LD_LIBRARY_PATH. Initially, I could not even get past the splash screen. After I did this, I can see the splash screen ok, but I am stuck later with the error log shown in the first message.

Is it maybe necessary that the windowing system running on my display actually runs gtk3? Do I need to launch the X server using the gtk3 libraries and binaries in my path?

Regards,

L.
Re: installing 2019.06 versions of Eclipse CDT on CentOS6 [message #1808801 is a reply to message #1808800] Mon, 01 July 2019 20:38 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30551
Registered: July 2009
Senior Member
I expect the shells that are created for the windows need to hosted in the window manager of the system so indeed that's likely where things could go very wrong. But as I said, I'm not Linux expert and these things are very low level details in SWT's native widget support... Sorry...
Previous Topic:[ECLIPSE][IDE] How to set project name dynamically
Next Topic:error in eclipse
Goto Forum:
  


Current Time: Fri Oct 18 09:50:27 GMT 2019

Powered by FUDForum. Page generated in 0.02682 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top